## Package org.xmldb.api.base

Interface Summary
Collection: A `Collection` represents a collection of `Resource`s stored within an XML database.
CompiledExpression
Configurable: Provides the ability to configure properties about an object.
Database: `Database` is an encapsulation of the database driver functionality that is necessary to access an XML database.
Resource: `Resource` is a container for data stored within the database.
ResourceIterator: ResourceIterator is used to iterate over a set of resources.
ResourceSet: ResourceSet is a container for a set of resources.
Service: The `Service` interface provides an extension mechanism for `Collection` implementations.

Class Summary
ErrorCodes: ErrorCodes defines XML:DB error codes that can be used to set the `errorCodes` attribute of an `XMLDBException`

Exception Summary
XMLDBException: XMLDBException is thrown for all errors in the XML:DB API.

Copyright (C) Wolfgang Meier. All rights reserved.